Package org.apache.lucene.backward_codecs.lucene86

# Class Lucene86PointsFormat

java.lang.Object
org.apache.lucene.codecs.PointsFormat
org.apache.lucene.backward_codecs.lucene86.Lucene86PointsFormat

public class Lucene86PointsFormat extends PointsFormat
Lucene 8.6 point format, which encodes dimensional values in a block KD-tree structure for fast 1D range and N dimensional shape intersection filtering. See this paper for details.

Data is stored across three files

- A .kdm file that records metadata about the fields, such as numbers of dimensions or numbers of bytes per dimension.
- A .kdi file that stores inner nodes of the tree.
- A .kdd file that stores leaf nodes, where most of the data lives.

See this wiki for detailed data structures of the three files.

WARNING: This API is experimental and might change in incompatible ways in the next release.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DATA_EXTENSION`
Filename extension for the leaf blocks
`static final String`
`INDEX_EXTENSION`
Filename extension for the index per field
`static final String`
`META_EXTENSION`
Filename extension for the meta per field

### Fields inherited from class org.apache.lucene.codecs.PointsFormat

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`Lucene86PointsFormat()`
Sole constructor

## Method Summary

Modifier and Type
Method
Description
`PointsReader`
`fieldsReader(SegmentReadState state)`
`PointsWriter`
`fieldsWriter(SegmentWriteState state)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DATA_EXTENSION

public static final String DATA_EXTENSION
Filename extension for the leaf blocks

See Also:
  - Constant Field Values

### INDEX_EXTENSION

public static final String INDEX_EXTENSION
Filename extension for the index per field

See Also:
  - Constant Field Values

### META_EXTENSION

public static final String META_EXTENSION
Filename extension for the meta per field

See Also:
  - Constant Field Values

## Constructor Details

### Lucene86PointsFormat

public Lucene86PointsFormat()
Sole constructor

## Method Details

### fieldsWriter

public PointsWriter fieldsWriter(SegmentWriteState state) throws IOException

Specified by:
  `fieldsWriter` in class `PointsFormat`
Throws:
  `IOException`

### fieldsReader

public PointsReader fieldsReader(SegmentReadState state) throws IOException

Specified by:
  `fieldsReader` in class `PointsFormat`
Throws:
  `IOException`